## libgeotiff-dfsg 1.4.2

=== CMakeLists.txt ===
###############################################################################
#
# CMake main configuration file to build GeoTIFF library and utilities.
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################
PROJECT(GeoTIFF)

SET(GEOTIFF_LIB_NAME geotiff)
SET(GEOTIFF_LIBRARY_TARGET geotiff_library)
SET(GEOTIFF_ARCHIVE_TARGET geotiff_archive)

##############################################################################
# CMake settings
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET(CMAKE_COLOR_MAKEFILE ON)

# Version information
set(PROJECT_VERSION_MAJOR 1)
set(PROJECT_VERSION_MINOR 4)
set(PROJECT_VERSION_PATCH 2)
set(PROJECT_VERSION
  "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
set(GeoTIFF_VERSION ${PROJECT_VERSION})

# Set library version to match that of autoconf:
# libgeotiff.so -> libgeotiff.so.2.1.1
# libgeotiff.so.2 -> libgeotiff.so.2.1.2
# libgeotiff.so.2.1.2
set(LINK_SOVERSION "2")
set(LINK_VERSION "2.1.2")

string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

# Allow advanced users to generate Makefiles printing detailed commands
MARK_AS_ADVANCED(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

###############################################################################
# General build settings

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Debug CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel"
        FORCE)
ENDIF()

SET(GEOTIFF_BUILD_PEDANTIC FALSE CACHE BOOL "Choose compilation in pedantic or relaxed mode")
IF(CMAKE_BUILD_TYPE MATCHES Debug)
    SET(GEOTIFF_BUILD_PEDANTIC TRUE)
ENDIF()

if (CMAKE_MAJOR_VERSION GREATER 2)
cmake_policy(SET CMP0022 OLD) # interface link libraries
cmake_policy(SET CMP0042 OLD) # osx rpath
endif()


# TODO: Still testing the output paths --mloskot
SET(GEOTIFF_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build RUNTIME target files.
# SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build LIBRARY target files
# SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# Output directory in which to build ARCHIVE target files.
# SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

###############################################################################
# Platform and compiler specific settings

IF(WIN32)
    IF(MSVC)
        ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
        ADD_DEFINITIONS(/DW4)
        if (NOT (MSVC_VERSION VERSION_LESS 1400))
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
            ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNING)
            ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        endif()
    ENDIF(MSVC)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    SET(COMPILE_FLAGS "-fPIC -Wall -Wno-long-long")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMPILE_FLAGS} -std=c99")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COMPILE_FLAGS} -std=c++98")
    IF(GEOTIFF_BUILD_PEDANTIC)
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pedantic")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
    ENDIF()
ENDIF()

# Check required standard headers
INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(stdio.h HAVE_STDIO_H)
CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_INCLUDE_FILES(strings.h HAVE_STRINGS_H)

###############################################################################
# User-defined build settings

SET(GEOTIFF_CSV_NAMES area.csv codes.csv datum.csv gcs.csv pcs.csv)
FIND_PATH(GEOTIFF_CSV_DATA_DIR NAMES ${GEOTIFF_CSV_NAMES}
    PATHS "${CMAKE_SOURCE_DIR}/csv"
    DOC "Default location of GeoTIFF CSV files"
    NO_DEFAULT_PATH)

IF(IS_DIRECTORY ${GEOTIFF_CSV_DATA_DIR} AND EXISTS "${GEOTIFF_CSV_DATA_DIR}/gcs.csv")
    MESSAGE(STATUS "Found GeoTIFF CSV files in: ${GEOTIFF_CSV_DATA_DIR}")
    ADD_DEFINITIONS(-DCSV_DATA_DIR="${GEOTIFF_CSV_DATA_DIR}")
ELSE()
    MESSAGE(FATAL_ERROR "Failed to find GeoTIFF CSV files in: ${GEOTIFF_CSV_DATA_DIR}")
ENDIF()

SET(WITH_UTILITIES TRUE CACHE BOOL "Choose if GeoTIFF utilities should be built")

###############################################################################
# Search for dependencies

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/libxtiff)

# TIFF support - required, default=ON
SET(WITH_TIFF TRUE CACHE BOOL "Choose if TIFF support should be built")

# PROJ.4 support - optional, default=ON
SET(WITH_PROJ4 TRUE CACHE BOOL "Choose if PROJ.4 support should be built")

IF(WITH_PROJ4)
    FIND_PACKAGE(PROJ4 NO_MODULE QUIET)
    if (NOT PROJ4_FOUND)
      FIND_PACKAGE(PROJ4)
    endif ()

    IF(PROJ4_FOUND)
        ADD_DEFINITIONS(-DHAVE_LIBPROJ=1)
        INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR})
    ENDIF()
ENDIF()

# Zlib support - optional, default=OFF
SET(WITH_ZLIB FALSE CACHE BOOL "Choose if zlib support should be built")

IF(WITH_ZLIB)
    FIND_PACKAGE(ZLIB NO_MODULE QUIET)
    if (NOT ZLIB_FOUND)
      FIND_PACKAGE(ZLIB)
    endif ()

    IF(ZLIB_FOUND)
        SET(HAVE_ZIP 1)
        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_ZIP=${HAVE_ZIP})
    ENDIF()
ENDIF()

# JPEG support - optional, default=OFF
SET(WITH_JPEG FALSE CACHE BOOL "Choose if JPEG support should be built")

IF(WITH_JPEG)
    FIND_PACKAGE(JPEG NO_MODULE QUIET)
    if (NOT JPEG_FOUND)
      FIND_PACKAGE(JPEG)
    endif ()

    IF(JPEG_FOUND)
        SET(HAVE_JPEG 1)
        INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_JPEG=${HAVE_JPEG})
    ENDIF()
ENDIF()

IF(WITH_TIFF)
    FIND_PACKAGE(TIFF NO_MODULE QUIET)
    if (NOT TIFF_FOUND)
      FIND_PACKAGE(TIFF REQUIRED)
    endif ()

    IF(TIFF_FOUND)
        # Confirm required API is available
        INCLUDE(CheckFunctionExists)
        SET(CMAKE_REQUIRED_LIBRARIES ${TIFF_LIBRARIES})

        CHECK_FUNCTION_EXISTS(TIFFOpen HAVE_TIFFOPEN)
        IF(NOT HAVE_TIFFOPEN)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFOpen function not found")
        ENDIF()

        CHECK_FUNCTION_EXISTS(TIFFMergeFieldInfo HAVE_TIFFMERGEFIELDINFO)
        IF(NOT HAVE_TIFFMERGEFIELDINFO)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFMergeFieldInfo function not found. libtiff 3.6.0 Beta or later required. Please upgrade or use an older version of libgeotiff")
        ENDIF()

        INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_TIFF=1)
    ENDIF(TIFF_FOUND)
ENDIF(WITH_TIFF)

# Turn off TOWGS84 support
SET(WITH_TOWGS84 TRUE CACHE BOOL "Build with TOWGS84 support")
IF (NOT WITH_TOWGS84)
   SET(GEO_NORMALIZE_DISABLE_TOWGS84 1)
endif()

###############################################################################
# Generate geo_config.h with compile-time configuration

MESSAGE(STATUS "Generating geo_config.h header")

CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/geo_config.h.in
  geo_config.h)
INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

MESSAGE(STATUS "Generating geo_config.h header - done")


###############################################################################
# Installation settings

SET(GEOTIFF_CSV_DATA
    csv/alias.csv
    csv/area.csv
    csv/change.csv
    csv/compdcs.csv
    csv/coordinate_axis.csv
    csv/coordinate_axis_name.csv
    csv/coordinate_operation.csv
    csv/coordinate_operation_method.csv
    csv/coordinate_operation_parameter.csv
    csv/coordinate_operation_parameter_value.csv
    csv/coordinate_operation_path.csv
    csv/coordinate_reference_system.csv
    csv/coordinate_system.csv
    csv/datum.csv
    csv/datum_shift.csv
    csv/datum_shift_pref.csv
    csv/deprecation.csv
    csv/ellipsoid.csv
    csv/esri_datum_override.csv
    csv/gcs.csv
    csv/gcs.override.csv
    csv/geoccs.csv
    csv/naming_system.csv
    csv/pcs.csv
    csv/pcs.override.csv
    csv/prime_meridian.csv
    csv/projop_wparm.csv
    csv/stateplane.csv
    csv/supersession.csv
    csv/unit_of_measure.csv
    csv/version_history.csv
    csv/vertcs.csv
    csv/vertcs.override.csv )

SET(GEOTIFF_LIB_HEADERS
    geotiff.h
    geotiffio.h
    geovalues.h
    geonames.h
    geokeys.h
    ${CMAKE_CURRENT_BINARY_DIR}/geo_config.h
    geo_tiffp.h
    geo_keyp.h
    geo_normalize.h
    cpl_serv.h
    geo_simpletags.h
    epsg_datum.inc
    epsg_gcs.inc
    epsg_pm.inc
    epsg_units.inc
    geo_ctrans.inc
    epsg_ellipse.inc
    epsg_pcs.inc
    epsg_proj.inc
    epsg_vertcs.inc
    geokeys.inc
    libxtiff/xtiffio.h)

SET(GEOTIFF_MAN_PAGES
    man/man1/applygeo.1
    man/man1/geotifcp.1
    man/man1/listgeo.1)

#    ${PROJECT_BINARY_DIR}/geotiff_version.h

IF(WIN32)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR .)
    SET(DEFAULT_INCLUDE_SUBDIR include)

    IF(MSVC)
        SET(DEFAULT_BIN_SUBDIR bin)
    ELSE()
        SET(DEFAULT_BIN_SUBDIR .)
    ENDIF()
ELSE()
    # Common locatoins for Unix and Mac OS X
    SET(DEFAULT_BIN_SUBDIR bin)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR share)
    SET(DEFAULT_INCLUDE_SUBDIR include)
ENDIF()

# Locations are changeable by user to customize layout of GeoTIFF installation
# (default values are platform-specIFic)
SET(GEOTIFF_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
    "Subdirectory where executables will be installed")
SET(GEOTIFF_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
    "Subdirectory where libraries will be installed")
SET(GEOTIFF_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
    "Subdirectory where header files will be installed")
SET(GEOTIFF_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
    "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
MARK_AS_ADVANCED(GEOTIFF_BIN_SUBDIR GEOTIFF_LIB_SUBDIR GEOTIFF_INCLUDE_SUBDIR GEOTIFF_DATA_SUBDIR)

# Full paths for the installation
SET(GEOTIFF_BIN_DIR ${GEOTIFF_BIN_SUBDIR})
SET(GEOTIFF_LIB_DIR ${GEOTIFF_LIB_SUBDIR})
SET(GEOTIFF_INCLUDE_DIR ${GEOTIFF_INCLUDE_SUBDIR})
SET(GEOTIFF_DATA_DIR ${GEOTIFF_DATA_SUBDIR})

# Install doc files
INSTALL(FILES
    AUTHORS ChangeLog COPYING INSTALL LICENSE README README_BIN README.WIN
    DESTINATION doc)
#    DESTINATION ${GEOTIFF_DATA_DIR}/doc)

# Install CSV data files
# INSTALL(FILES ${GEOTIFF_CSV_DATA} DESTINATION ${GEOTIFF_DATA_DIR}/epsg_csv)
INSTALL(FILES ${GEOTIFF_CSV_DATA} DESTINATION share/epsg_csv)

# Install man pages
INSTALL(FILES ${GEOTIFF_MAN_PAGES} DESTINATION share/man/man1)


# Install header files for development distribution
# INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION ${GEOTIFF_INCLUDE_DIR})
INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION include)

###############################################################################
# Build libxtiff library

ADD_SUBDIRECTORY(libxtiff)

###############################################################################
# Build libgeotiff library

SET(GEOTIFF_LIB_SOURCES
    cpl_serv.c
    cpl_csv.c
    geo_extra.c
    geo_free.c
    geo_get.c
    geo_names.c
    geo_new.c
    geo_normalize.c
    geo_print.c
    geo_set.c
    geo_simpletags.c
    geo_tiffp.c
    geo_trans.c
    geo_write.c
    geotiff_proj4.c)

SET(INCODE_EPSG_FROM_CSV FALSE CACHE BOOL "Build source-encoded EPSG data files")

FOREACH(epsg_csv_file ${GEOTIFF_CSV_DATA})
    # We cannot use NAME_WE without string-replace, because that would

=== cmake/CMakeLists.txt ===
#############################################################################
# Config file generation and installation
#############################################################################

# geotiff-config.cmake for the install tree.  It's installed in
# ${INSTALL_CMAKE_DIR} and @PROJECT_ROOT_DIR@ is the relative
# path to the root from there.  (Note that the whole install tree can
# be relocated.)
if (NOT WIN32)
  set (INSTALL_CMAKE_DIR "share/cmake/${PROJECT_NAME}")
  set (PROJECT_ROOT_DIR "../../..")
else ()
  set (INSTALL_CMAKE_DIR "cmake")
  set (PROJECT_ROOT_DIR "..")
endif ()

configure_file (project-config.cmake.in project-config.cmake @ONLY)
configure_file (project-config-version.cmake.in
  project-config-version.cmake @ONLY)
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config.cmake")
install (FILES
  "${CMAKE_CURRENT_BINARY_DIR}/project-config-version.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}"
  RENAME "${PROJECT_NAME_LOWER}-config-version.cmake")
# Make information about the cmake targets (the library and the tools)
# available.
install (EXPORT depends
  FILE ${PROJECT_NAME_LOWER}-depends.cmake
  DESTINATION "${INSTALL_CMAKE_DIR}")

=== debian/changelog ===
libgeotiff-dfsg (1.4.2-2build1) zesty; urgency=medium

  * Rebuild against new libproj12.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Nov 2016 12:29:00 +0100

libgeotiff-dfsg (1.4.2-2) unstable; urgency=medium

  * Add upstream patch to revert back including "geo_config.h".
    Caused librasterlite2 configure to fail (#836308).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Sep 2016 18:42:40 +0200

libgeotiff-dfsg (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 03:20:42 +0200

libgeotiff-dfsg (1.4.2~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 21:17:37 +0200

libgeotiff-dfsg (1.4.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop automake-subdir-objects.patch, applied upstream.
  * Don't patch Makefile.in, but only Makefile.am.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Aug 2016 16:35:46 +0200

libgeotiff-dfsg (1.4.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patch.
  * Override dh_autoreconf to run autogen.sh instead of `autoreconf -fi`.
  * Add patch to fix automake warning by adding subdir-objects option.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 18:31:37 +0200

libgeotiff-dfsg (1.4.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update watch file to also match pre-releases.
  * Change Upstream-Contact to GeoTIFF mailinglist.
  * Refresh patches.
  * Update symbols, GTIFTiepointTranslate made static.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2016 16:16:32 +0200

libgeotiff-dfsg (1.4.1-4) unstable; urgency=medium

  * Add patch to not install makegeo, install source in examples instead.
  * Use dh-autoreconf instead of autotools-dev.
  * Add patch to add manpages for applygeo & geotifcp, and fix listgeo manpage.
  * Explicitly remove .la file, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 00:05:17 +0200

libgeotiff-dfsg (1.4.1-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buidflags.
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 18:05:54 +0200

libgeotiff-dfsg (1.4.1-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update URLs in upstream metadata to use HTTPS.
  * Update watch file to handle common issues and other tar extensions.
  * Don't ignore symbols changes in dh_makeshlibs override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Feb 2016 17:41:35 +0100

=== debian/control ===
Source: libgeotiff-dfsg
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libproj-dev,
               zlib1g-dev,
               libjpeg-dev,
               libtiff-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libgeotiff-dfsg.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libgeotiff-dfsg.git
Homepage: https://geotiff.osgeo.org/

Package: libgeotiff-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgeotiff2 (= ${binary:Version}),
         libtiff-dev,
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based 
 on the GeoTIFF library.

Package: libgeotiff2
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geotiff-bin,
          gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: libgeotiff2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libgeotiff2 (= ${binary:Version}),
         ${misc:Depends}
Description: GeoTIFF (geografic enabled TIFF) library -- debugging symbols
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains debugging symbols for the libraries.

Package: geotiff-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeotiff-dev (<< 1.4.0-4)
Replaces: libgeotiff-dev (<< 1.4.0-4)
Suggests: gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/geotiff/libgeotiff/ \
(?:.*?/)?(?:rel|v|libgeotiff)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libgeotiff-dfsg 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 
 SET(GEOTIFF_LIB_NAME geotiff)
 SET(GEOTIFF_LIBRARY_TARGET geotiff_library)
-SET(GEOTIFF_ARCHIVE_TARGET geotiff_archive)
 
 ##############################################################################
 # CMake settings
@@ -20,17 +19,17 @@
 # Version information
 set(PROJECT_VERSION_MAJOR 1)
 set(PROJECT_VERSION_MINOR 4)
-set(PROJECT_VERSION_PATCH 2)
+set(PROJECT_VERSION_PATCH 3)
 set(PROJECT_VERSION
   "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 set(GeoTIFF_VERSION ${PROJECT_VERSION})
 
 # Set library version to match that of autoconf:
-# libgeotiff.so -> libgeotiff.so.2.1.1
-# libgeotiff.so.2 -> libgeotiff.so.2.1.2
-# libgeotiff.so.2.1.2
+# libgeotiff.so -> libgeotiff.so.2.2.0
+# libgeotiff.so.2 -> libgeotiff.so.2.2.0
+# libgeotiff.so.2.2.0
 set(LINK_SOVERSION "2")
-set(LINK_VERSION "2.1.2")
+set(LINK_VERSION "2.2.0")
 
 string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)

=== debian/changelog ===
libgeotiff-dfsg (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Dec 2018 20:28:33 +0100

libgeotiff-dfsg (1.4.3~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Dec 2018 08:19:16 +0100

libgeotiff-dfsg (1.4.3~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Add Build-Depends-Package field to symbols file.
  * Refresh patches.
  * Sort build dependencies.
  * Update symbols for 1.4.3~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Dec 2018 20:49:44 +0100

libgeotiff-dfsg (1.4.2-4) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:49:18 +0200

libgeotiff-dfsg (1.4.2-3) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Add autopkgtest to test installability.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete get-orig-source target.
  * Drop obsolete dbg package.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 22:13:23 +0200

=== debian/control ===
Source: libgeotiff-dfsg
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               dh-autoreconf,
               libjpeg-dev,
               libproj-dev,
               libtiff-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libgeotiff-dfsg
Vcs-Git: https://salsa.debian.org/debian-gis-team/libgeotiff-dfsg.git
Homepage: https://geotiff.osgeo.org/

Package: libgeotiff-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgeotiff2 (= ${binary:Version}),
         libtiff-dev,
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based
 on the GeoTIFF library.

Package: libgeotiff2
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geotiff-bin,
          gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: geotiff-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeotiff-dev (<< 1.4.0-4)
Replaces: libgeotiff-dev (<< 1.4.0-4)
Suggests: gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced
 raster imagery. The GeoTIFF standard has been developed for reading, and
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.
